> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a payout



## OpenAPI

````yaml openapi/payouts.yaml get /v1/payouts/{id}
openapi: 3.0.2
info:
  version: ${version}
  title: Crypto Payouts API
  description: >-
    The Circle Payouts API allows you to programmatically make fast, global
    payouts to your customers, vendors, and suppliers. Make payouts on supported
    blockchains.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Payouts
    description: Create and get information on address book payouts.
  - name: Crypto Address Book
    description: Manage blockchain addresses with metadata.
paths:
  /v1/payouts/{id}:
    get:
      tags:
        - Payouts
      summary: Get a payout
      operationId: getPayout
      parameters:
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          description: Successfully retrieved a payout.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetPayoutResponse
                properties:
                  data:
                    allOf:
                      - $ref: '#/components/schemas/CryptoPayoutResponseData'
                      - type: object
                        properties:
                          externalRef:
                            type: string
                            nullable: true
                            description: >-
                              Onchain transaction hash for the payout. Present
                              once the transaction has been broadcast to the
                              network.
                            example: >-
                              0x7351585460bd657f320b9afa02a52c26d89272d0d10cc29913eb8b28e64fd906
              examples:
                Crypto Payout:
                  value:
                    data:
                      id: b8627ae8-732b-4d25-b947-1df8f4007a29
                      sourceWalletId: '53535335'
                      destination:
                        type: address_book
                        id: b8627ae8-732b-4d25-b947-1df8f4007a29
                      amount:
                        amount: '3.14'
                        currency: USD
                      toAmount:
                        amount: '3.14'
                        currency: ETH
                      fees:
                        amount: '3.14'
                        currency: USD
                      networkFees:
                        amount: '0.14'
                        currency: USD
                      purposeOfTransfer: PMT001
                      status: pending
                      errorCode: transaction_denied
                      riskEvaluation:
                        decision: denied
                        reason: '4000'
                      externalRef: >-
                        0x7351585460bd657f320b9afa02a52c26d89272d0d10cc29913eb8b28e64fd906
                      createDate: '2020-04-10T02:13:30.000Z'
                      updateDate: '2020-04-10T02:13:30.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    CryptoPayoutResponseData:
      description: >
        Payout resource returned by create and get operations. Includes
        `purposeOfTransfer` when it was provided at create time (required for
        CIRCLE_SG entities).
      allOf:
        - $ref: '#/components/schemas/CryptoPayoutResponseGeneral'
        - type: object
          properties:
            purposeOfTransfer:
              $ref: '#/components/schemas/CryptoPayoutPurposeOfTransfer'
    CryptoPayoutResponseGeneral:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        sourceWalletId:
          type: string
          description: The identifier of the source wallet used to fund a payout.
          example: '53535335'
        destination:
          $ref: '#/components/schemas/CryptoPayoutDestination'
        amount:
          $ref: '#/components/schemas/PayoutMoney'
        toAmount:
          $ref: '#/components/schemas/PayoutMoney'
        fees:
          $ref: '#/components/schemas/PayoutMoney'
        networkFees:
          $ref: '#/components/schemas/PayoutMoney'
        status:
          $ref: '#/components/schemas/PayoutStatus'
        errorCode:
          $ref: '#/components/schemas/PayoutErrorCode'
        riskEvaluation:
          $ref: '#/components/schemas/RiskEvaluation'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    CryptoPayoutPurposeOfTransfer:
      type: string
      description: >
        Payment reason code for the payout. Aligned with Circle payment reason
        codes for Crypto Payouts. Do not use `PMT006`. See [Crypto Payouts
        payment reason
        codes](https://developers.circle.com/circle-mint/crypto-payouts-payment-reason-codes).


        Invalid values can return error code `5020`.
      enum:
        - PMT000
        - PMT001
        - PMT002
        - PMT003
        - PMT004
        - PMT005
        - PMT007
        - PMT008
        - PMT009
        - PMT010
        - PMT011
        - PMT012
        - PMT013
        - PMT014
        - PMT015
        - PMT016
        - PMT017
        - PMT018
        - PMT019
        - PMT020
        - PMT021
        - PMT022
        - PMT023
        - PMT024
        - PMT025
        - PMT026
        - PMT027
        - PMT028
        - PMT029
        - PMT030
      example: PMT001
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    CryptoPayoutDestination:
      type: object
      description: The destination.
      required:
        - type
        - id
      properties:
        type:
          $ref: '#/components/schemas/CryptoPayoutDestinationType'
        id:
          $ref: '#/components/schemas/Id'
    PayoutMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          type: string
          description: Currency code for the amount.
          enum:
            - USD
            - EUR
            - BTC
            - ETH
            - MTC
            - FLW
            - MAN
    PayoutStatus:
      type: string
      description: >-
        Status of the payout. Status `pending` indicates that the payout is in
        process; `complete` indicates it finished successfully; `failed`
        indicates it failed.
      enum:
        - pending
        - complete
        - failed
    PayoutErrorCode:
      type: string
      nullable: true
      description: >-
        Indicates the failure reason of a payout. Only present for payouts in
        failed state. Possible values are [`insufficient_funds`,
        `transaction_denied`, `transaction_failed`, `transaction_returned`,
        `bank_transaction_error`, `fiat_account_limit_exceeded`,
        `invalid_bank_account_number`, `invalid_ach_rtn`, `invalid_wire_rtn`,
        `vendor_inactive`]'
      enum:
        - insufficient_funds
        - transaction_denied
        - transaction_failed
        - transaction_returned
        - bank_transaction_error
        - fiat_account_limit_exceeded
        - invalid_bank_account_number
        - invalid_ach_rtn
        - invalid_wire_rtn
        - vendor_inactive
    RiskEvaluation:
      type: object
      description: >-
        Results of risk evaluation. Only present if the payment is denied by
        Circle's risk service.
      nullable: true
      properties:
        decision:
          description: Enumerated decision of the account.
          type: string
          enum:
            - approved
            - denied
            - review
        reason:
          description: Risk reason for the definitive decision outcome.
          type: string
          nullable: true
          example: '3000'
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    CryptoPayoutDestinationType:
      type: string
      description: The destination type.
      enum:
        - address_book
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````